Skip to main content
GET
Get transaction details

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

Transaction Id

Response

OK

transactionId
integer<int64>

Unique transaction id.

amount
number<double>

Original transaction amount.

state
enum<string>
Available options:
Waiting,
Successful,
Cancelled
type
string | null

Transaction type.

operationId
string | null

Unique identifier of the operation used for transaction creation.

operations
object[] | null

List of operations in scope of transaction.

remainingReservedAmount
number<double>

Remaining reserved amount which can be captured or canceled.

remainingCapturedAmount
number<double>

Remaining captured amount which can be refunded.

metadata
object | null

Metadata of the transaction. This field can be updated within a transaction.

Last modified on August 10, 2026